> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create executable Withdrawal Quote

> Create an executable Withdrawal quote that can later be referenced by its `quoteId` when initiating a withdrawal. The quote is valid until the returned `expiresAt` timestamp.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/withdrawals/quotes
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/withdrawals/quotes:
    post:
      tags:
        - Transaction / Withdrawals
      summary: Create executable Withdrawal Quote
      description: >-
        Create an executable Withdrawal quote that can later be referenced by
        its `quoteId` when initiating a withdrawal. The quote is valid until the
        returned `expiresAt` timestamp.
      operationId: WithdrawalsController_createExecutableQuote
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWithdrawalExecutableQuoteDto'
      responses:
        '200':
          description: Executable quote with quoteId and expiration timestamp.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutableQuoteEntity'
        '400':
          description: The Quote data is invalid or incomplete.
      security:
        - bearer: []
components:
  schemas:
    CreateWithdrawalExecutableQuoteDto:
      type: object
      properties:
        amount:
          type: string
          description: >-
            The amount for the operation. For deposits, this is the fiat amount
            the user must contribute. For withdrawals, this is the amount of the
            asset to be withdrawn.
          example: '100.00'
        accountId:
          type: string
          description: >-
            The id of the account associated with the operation. For
            withdrawals, this is the account from which assets will be
            withdrawn. For deposits, this is the account where assets will be
            deposited.
          example: cm2c4x3cc000019stwv7um4zl
        developerFee:
          type: string
          description: An optional developer fee for the operation, if applicable
          example: '5.00'
        pfiName:
          description: >-
            Specific PFI to use for this operation. If omitted, the
            organization's default PFI is used.
          allOf:
            - $ref: '#/components/schemas/PFIName'
        paymentInstructionId:
          type: string
          description: >-
            The ID of the payment instruction specifying how the withdrawn funds
            will be sent. Learn more at [Payment Instructions
            Guide](https://docs.buildborderless.com/docs/payment-instructions).
          example: cm2c4x3cc000019stwv7um4zl
        asset:
          description: >-
            The token tied to a specific blockchain for the withdrawal. See the
            list of [supported Withdrawal
            Assets](https://docs.buildborderless.com/docs/get-withdrawal-options).
          example: BTC
          allOf:
            - $ref: '#/components/schemas/AssetId'
        fiat:
          description: The fiat currency used for the withdrawal operation.
          example: USD
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
        country:
          description: >-
            The country code in ISO-3166-2 format for the region where the
            withdrawal is performed.
          example: US
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        counterPartyIdentityId:
          type: string
          description: >-
            The ID of the identity on whose behalf the withdrawal is being
            initiated. If not specified, the withdrawal will be initiated for
            the identity tied to the payment instruction by default.
          example: cm2c4x3cc000019stwv7um4zl
      required:
        - amount
        - accountId
        - paymentInstructionId
        - asset
        - fiat
        - country
    ExecutableQuoteEntity:
      type: object
      properties:
        limits:
          $ref: '#/components/schemas/LimitsQuoteEntity'
        fiat:
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
        country:
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        asset:
          allOf:
            - $ref: '#/components/schemas/AssetId'
        paymentMethod:
          allOf:
            - $ref: '#/components/schemas/PaymentMethod'
        fromAmount:
          type: string
          description: From amount of the conversion, e.g 100.
          example: '10'
        toAmount:
          type: string
          description: To amount of the conversion, e.g 100.
          example: '8.99'
        exchangeRate:
          type: string
          description: Exchange rate of the conversion, e.g 1.
          example: '0.999'
        totalFee:
          type: string
          description: Total fees.
          example: '1'
        orchestrationFee:
          type: string
          description: Borderless orchestration fee.
          example: '1'
        quoteId:
          type: string
          description: >-
            Unique identifier of the executable quote that can be used to create
            a transaction.
          example: cm2c4x3cc000019stwv7um4zl
        expiresAt:
          type: string
          description: ISO 8601 timestamp indicating when the executable quote expires.
          example: '2026-04-27T12:30:00.000Z'
          format: date-time
      required:
        - limits
        - fiat
        - country
        - asset
        - paymentMethod
        - fromAmount
        - toAmount
        - exchangeRate
        - totalFee
        - orchestrationFee
        - quoteId
        - expiresAt
    PFIName:
      type: string
      enum:
        - Bridge
        - Koywe
        - Kotanipay
        - Hercle
        - Bitso
        - Yellowcard
        - TraceFinance
        - HoneyCoin
        - BlindPay
        - Finity
        - Infinia
        - Walapay
        - Abra
        - Yativo
        - Capa
        - Bivo
        - Cobre
        - Avenia
        - Brale
        - BVNK
        - CoinsPH
        - Iron
        - Enigma
        - Juicyway
        - Kira
        - TripleA
        - Onmeta
        - Alfred
        - Demo
        - CrissCross
    AssetId:
      type: string
      enum:
        - POL
        - USDT_POLYGON
        - USDC_POLYGON
        - SBC_POLYGON
        - ETH
        - USDT_ETHEREUM
        - USDC_ETHEREUM
        - PYUSD_ETHEREUM
        - DAI_ETHEREUM
        - SBC_ETHEREUM
        - TRX
        - USDT_TRON
        - SBC_TRON
        - ETH_BASE
        - USDC_BASE
        - USDB_BASE
        - EURC_BASE
        - SBC_BASE
        - ETH_OPTIMISM
        - USDT_OPTIMISM
        - USDC_OPTIMISM
        - BTC
        - CELO
        - CUSD_CELO
        - USDC_CELO
        - SBC_CELO
        - SOL
        - USDC_SOLANA
        - USDT_SOLANA
        - PYUSD_SOLANA
        - USDP_SOLANA
        - EURC_SOLANA
        - SBC_SOLANA
    FiatCurrencyId:
      type: string
      enum:
        - USD
        - EUR
        - BRL
        - ARS
        - MXN
        - COP
        - CLP
        - PEN
        - PYG
        - DOP
        - UYU
        - BOB
        - CRC
        - GTQ
        - BWP
        - CDF
        - GHS
        - KES
        - MWK
        - NGN
        - RWF
        - ZAR
        - TZS
        - UGX
        - ZMW
        - XOF
        - XAF
        - AUD
        - BDT
        - CAD
        - INR
        - JPY
        - NPR
        - PKR
        - PHP
        - SGD
        - GBP
        - CNY
        - HKD
        - IDR
        - MYR
        - KRW
        - LKR
        - THB
        - TRY
        - VND
        - CZK
        - DKK
        - NOK
        - PLN
        - RON
        - RSD
        - SEK
        - CHF
        - AED
        - SAR
        - QAR
        - ILS
        - EGP
        - JOD
        - HNL
        - JMD
        - NZD
        - DZD
        - GMD
        - GNF
        - HTG
        - MAD
        - TND
      description: Fiat currency identifier supported by the PFI account.
    CountryCode:
      type: string
      enum:
        - AF
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CD
        - CG
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CI
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - MK
        - RO
        - RU
        - RW
        - RE
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - AX
        - ZZ
    LimitsQuoteEntity:
      type: object
      properties:
        transaction:
          description: >-
            Limits applied to each individual transaction, defining the minimum
            and maximum allowable amounts.
          allOf:
            - $ref: '#/components/schemas/LimitEntity'
      required:
        - transaction
    PaymentMethod:
      type: string
      enum:
        - ACH
        - Wire
        - Sepa
        - Swift
        - Card
        - MobileMoney
        - PIX
        - TED
        - PSE
        - SPEI
        - COELSA
        - Transfers30
        - SPAV
        - CCE
        - SPI
        - LBTR
        - SINPE
        - Transfer365
        - NIP
        - GhIPSS
        - BankTransfer
        - EFT
        - RTP
        - BECS
        - FPS
        - IMPS_FIRC
        - Breb
        - NPSS
        - MADA
        - ZAHAV
        - IBFT
        - SIC
    LimitEntity:
      type: object
      properties:
        minAmount:
          type: string
          nullable: true
          description: >-
            Minimum allowed amount in fiat currency for the specified limit
            period (e.g., per transaction, day, or year).
          example: '123'
        maxAmount:
          type: string
          nullable: true
          description: >-
            Maximum allowed amount in fiat currency for the specified limit
            period (e.g., per transaction, day, or year).
          example: '123'
        fiat:
          enum:
            - USD
            - EUR
            - BRL
            - ARS
            - MXN
            - COP
            - CLP
            - PEN
            - PYG
            - DOP
            - UYU
            - BOB
            - CRC
            - GTQ
            - BWP
            - CDF
            - GHS
            - KES
            - MWK
            - NGN
            - RWF
            - ZAR
            - TZS
            - UGX
            - ZMW
            - XOF
            - XAF
            - AUD
            - BDT
            - CAD
            - INR
            - JPY
            - NPR
            - PKR
            - PHP
            - SGD
            - GBP
            - CNY
            - HKD
            - IDR
            - MYR
            - KRW
            - LKR
            - THB
            - TRY
            - VND
            - CZK
            - DKK
            - NOK
            - PLN
            - RON
            - RSD
            - SEK
            - CHF
            - AED
            - SAR
            - QAR
            - ILS
            - EGP
            - JOD
            - HNL
            - JMD
            - NZD
            - DZD
            - GMD
            - GNF
            - HTG
            - MAD
            - TND
          type: string
          description: Fiat currency for the minAmount and maxAmount.
          example: USD
      required:
        - fiat
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````